[Réglé] Support des Extensions phpBBerreur après modification panneau d'utilisateu

Support pour toutes les extensions phpBB développées par notre équipe et toutes les autres.
Avatar de xpmen
Belgique xpmen
Auteur du sujet
Messages : 287
Enregistré le : 25 novembre 2018
Liquide : 2 093.55
Relax-Arcade :  3
Pays :
Belgique (be)
Belgique

erreur après modification panneau d'utilisateu

Message par Belgique xpmen » 30 avr. 2022, 12:41
Bonjour Sylver,
l'un de mes membres veux changer un réglage dans son panneau utilisateur
j'ai voulu régler les notifications ici pour être prévenue quand je reçois un mp et quand j'ai cliqué sur Modifier les préférences des notifications dans mon panneau d'utilisateur j'ai cette page d'erreur:
Image
une idée d'où ça viens ?
pour les passionés du potager: www.hortus-meo.be
Avatar de Sylver35
France Sylver35
Administrateur du site
Messages : 619
Enregistré le : 13 janvier 2018
Liquide : 3 722.50
Relax-Arcade :  2
Localisation : Bretagne
Pays :
France (fr)
France

erreur après modification panneau d'utilisateu

Message par France Sylver35 » 30 avr. 2022, 14:50
Bonjour,

Voici le contenu de l'erreur :

code : Tout sélectionner

Fatal error: Uncaught TypeError: Argument 1 passed to phpbb\notification\type\base::__construct() must implement interface phpbb\db\driver\driver_interface, instance of phpbb\user_loader given,
called in /customers/c/d/5/super-game.be/httpd.www/cache/production/container_4335734bbdd20f586549a504dff5f80c.php on line 1659
and defined in /customers/c/d/5/super-game.be/httpd.www/phpbb/notification/type/base.php:87 Stack trace: #0 /customers/c/d/5/super-game.be/httpd.www/cache/production/container_4335734bbdd20f586549a504dff5f80c.php(1659): phpbb\notification\type\base->__construct(Object(phpbb\user_loader), Object(phpbb\db\driver\factory), Object(phpbb\cache\driver\file), Object(phpbb\user),
Object(phpbb\auth\auth), Object(phpbb\config\db), './', 'php', 'phpbb_notificat...', 'phpbb_notificat...', 'phpbb_user_noti...') 
#1 /customers/c/d/5/super-game.be/httpd.www/vendor/symfony/dependency-injection/Container.php(306): phpbb_cache_container->getWolfsblvt_Advancedpolls_Notification_Type_PollendedService() 
#2 /customers/c/d/5/supe in /customers/c/d/5/super-game.be/httpd.www/phpbb/notification/type/base.php on line 87 
C'est l'extension advancedpolls qui est en cause.
Elle ne semble pas compatible avec la nouvelle version de phpBB et je ne sais pas depuis quelle version.

Donc, je la désactive pour retrouver un forum fonctionnel car elle est au statut abandonnée...
Des chercheurs qui cherchent, on en trouve, mais des chercheurs qui trouvent, on en cherche !
Avatar de xpmen
Belgique xpmen
Auteur du sujet
Messages : 287
Enregistré le : 25 novembre 2018
Liquide : 2 093.55
Relax-Arcade :  3
Pays :
Belgique (be)
Belgique

erreur après modification panneau d'utilisateu

Message par Belgique xpmen » 30 avr. 2022, 22:53
oki
merci Sylver ;)
pour les passionés du potager: www.hortus-meo.be
  • Sujets similaires
    Réponses
    Vues
    Dernier message